#!/bin/sh
#
#################################################################################
# mount_NTFS.sh
#
# Mount NTFS shell script with MacFUSE
#
# Copyright (c) 2002 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
#
################################################################################

disk_name=`diskutil list | sed -n 's/\(.*\)\(NTFS[[:space:]]\)\([[:alnum:]]*\)\([[:space:]]*[[:graph:]]*[[:space:]][[:upper:]]*[[:space:]]*\)\([[:alnum:]]*\)/\3/p'`

disk_identifier=`diskutil list | sed -n 's/\(.*\)\(NTFS[[:space:]]\)\([[:alnum:]]*\)\([[:space:]]*[[:graph:]]*[[:space:]][[:upper:]]*[[:space:]]*\)\([[:alnum:]]*\)/\5/p'`

diskutil unmount "${disk_identifier}"

mkdir /Volumes/"${disk_name}"

/usr/local/bin/ntfs-3g /dev/"${disk_identifier}" /Volumes/"${disk_name}" -o ping_diskarb,volname="${disk_name}" 2> /dev/null